/* Styling for Clinic Introduction Section */
.clinic-introduction {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 50px;
  background-color: #fff;
  border-radius: 15px;
  margin-bottom: 50px;
  border: 1px solid #eee;
  align-items: flex-start;
}

.intro-text {
  width: 50%;
  font-size: 18px;
  color: #333;
  line-height: 1.6;
  margin-top: 30px;
}

.intro-text h1 {
  font-size: clamp(18px, 1.8vw, 23px);
  color: #333;
  margin-bottom: 20px;
  font-weight: 700;
}

.intro-text p {
  font-size: clamp(14px, 1.1vw, 16px);
  text-align: justify;
  margin-bottom: 20px;
}

.item_intro {
  display: flex;
  position: relative;
  width: 100%;
  height: 110px;
  align-items: flex-end;
}

.item_intro button {
  font-family: "IRANYekanWeb", Tahoma, sans-serif;
  display: flex;
  align-items: center;
  gap: 15px;
  padding: 10px 15px;
  border: 1px solid #00a2e723;
  background: #b2e8ff18;
  border-radius: 25px;
  cursor: pointer;
  transition: 0.3s;
}

.item_intro button:hover {
  border: 1px solid #b2e8ff38;
  background: #b2e8ff2f;
  gap: 30px;
}

.item_intro button p {
  font-size: 14px;
  margin: 0;
  color: var(--accent);
}

.item_intro button i {
  font-size: 30px;
  color: var(--accent);
}

.intro-image {
  width: 45%;
  text-align: center;
}

.intro-image img {
  margin: 30px;
  width: 400px;
  height: 400px;
  border-radius: 10px;
  box-shadow: 0 0px 20px 0px rgba(0, 0, 0, 0.1);
  object-fit: cover;
  transform: rotate(-5deg); /* تنظیم زاویه چرخش تصویر */
  transition: transform 0.3s ease; /* برای افزودن انیمیشن به چرخش */
  cursor: pointer;
}

/* افزودن افکت hover برای تغییر زاویه */
.intro-image img:hover {
  transform: rotate(-1deg); /* تغییر زاویه زمانی که ماوس روی تصویر می‌رود */
}

/* Service Selector */
.title_services_menu {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 30px;
}

.title_services_menu h3 {
  font-size: clamp(15px, 1.6vw, 17px);
  margin: 15px 0;
  margin-top: 50px;
}

.line_title_services_menu {
  width: 115px;
  height: 2px;
  border-radius: 2px;
  background: var(--accent);
}

.services-menu {
  margin-bottom: 50px;
}

.service-selector {
  display: flex;
  justify-content: center;
  gap: 15px;
  margin-bottom: 30px;
}

.service-button {
  font-family: "IRANYekanWeb", Tahoma, sans-serif;
  padding: 12px 20px;
  font-size: 16px;
  background: none;
  color: var(--accent);
  border: 1px solid #f36f2780;
  border-radius: 30px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.service-button:hover {
  background-color: rgb(243 111 39 / 10%);
  border: 1px solid rgb(243 111 39 / 15%);
}

/* */
/* Styling for Dental Care Section */
.dental-care {
  padding: 30px 0;
  text-align: center;
}

.title_dental_care {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.line_dental_care {
  width: 130px;
  height: 3px;
  border-radius: 3px;
  background: var(--accent);
}

.title_dental_care h3 {
  font-size: clamp(15px, 1.6vw, 17px);
  color: #333;
  margin: 15px 0;
  font-weight: 700;
}

/* Care Cards Container */
.care-cards {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 30px;
  justify-items: center;
  padding: 0;
  padding-top: 30px;
}

/* Individual Care Card */
.care-card {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  border-radius: 15px;
  box-shadow: 0 0px 20px rgb(0 0 0 / 5%);
  overflow: hidden;
  text-align: center;
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
  padding: 0;
}

.meta_care {
  padding: 25px;
}

/* Card Image */
.care-card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

/* Card Title */
.care-card h4 {
  font-size: clamp(15px, 1.6vw, 17px);
  color: #333;
  margin: 5px 0;
  font-weight: 600;
}

/* Card Description */
.care-card p {
  font-size: clamp(14px, 1.1vw, 16px);
  color: #666;
  line-height: 1.6;
  padding: 0 10px;
}

/* Service Articles */
.service-article {
  display: none;
  padding: 45px;
  background: #fff;
  border: 1px solid #eee;
  border-radius: 15px;
}

.title_article {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 15px;
}

.title_article h3 {
  text-align: center;
  font-size: clamp(15px, 1.6vw, 17px);
  color: var(--accent);
  margin: 10px 0;
}

.line_article {
  width: 250px;
  height: 3px;
  border-radius: 3px;
  background: var(--accent);
}

.article-content {
  display: flex;
  justify-content: space-between;
  gap: 40px;
}

.article-text {
  padding: 0;
}

.article-text h3 {
  font-size: clamp(16px, 1.2vw, 18px);
}

.article-text p {
  font-size: clamp(14px, 1.1vw, 16px);
  line-height: 2.3;
}

.article-text ul {
  padding-right: 60px;
}

.article-text ul li {
  margin: 12px 0;
}

.article-image {
  width: 100%;
  height: 650px;
  margin-bottom: 25px;
}

.article-image img {
  width: 100%;
  height: 100%;
  border-radius: 15px;
  object-fit: cover;
}

/* Introduction Section */
.services-introduction {
  padding: 25px;
  border-radius: 15px;
  background: var(--accent);
  margin-bottom: 50px;
}

.box_items_service {
  text-align: center;
  background: none;
  display: flex;
  flex-wrap: nowrap;
  gap: 25px;
  justify-content: flex-start;
  overflow: auto;
  scrollbar-width: none;
}

.title_services h3 {
  font-size: clamp(15px, 1.6vw, 20px);
  color: #fff;
  margin: 10px 0;
  margin-bottom: 30px;
}

.title_services {
  display: flex;
  justify-content: space-between;
}

.btn_title {
  display: flex;
  gap: 10px;
}

.btn_title button {
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  font-size: 25px;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  margin-right: 3px;
  cursor: pointer;
  color: var(--accent);
}

.service-item {
  display: flex;
  width: 400px;
  height: auto;
  text-align: center;
  border-radius: 15px;
  transition: all 0.3s ease;
  flex-direction: column;
  cursor: pointer;
}

.service-icon {
  width: 300px;
  height: 200px;
  border-radius: 15px 15px 0 0;
  object-fit: cover;
}

.meta_service {
  background: hsl(0deg 0% 0% / 15%);

  padding: 15px;
  border-radius: 0 0 10px 10px;
}

.service-item h3 {
  font-size: clamp(15px, 1.6vw, 17px);
  color: #fff;
  margin: 0;
  margin-bottom: 10px;
}

.service-item p {
  font-size: clamp(12px, 1.1vw, 14px);
  color: #eee;
  margin: 5px 0;
}

/* Styling for Advertisement Section */
.bac_advertisement {
  background: var(--accent);
}

.advertisement {
  padding: 130px 30px;
  text-align: center;
  margin: 0 auto;
  max-width: 1400px;
  color: #fff;
}

.advertisement h3 {
  font-size: clamp(15px, 1.6vw, 17px);
  margin-bottom: 15px;
  font-weight: 700;
}

.advertisement-content p {
  font-size: 16px;
  margin-bottom: 20px;
}

.contact-button {
  transition: background-color 0.3s ease;
  display: inline-flex;
  gap: 10px;
  align-items: center;
  justify-content: center;
  background: #fff;
  color: var(--accent);
  padding: 14px 34px;
  margin-top: 25px;
  border-radius: 30px;
  text-decoration: none;
  font-weight: bold;
  font-size: clamp(13px, 1vw, 14px);
}

.contact-button:hover {
  background: #ffe2d3;
}

.contact-button i {
  font-size: 20px;
}

@media (max-width: 768px) {
  .clinic-introduction {
    flex-direction: column;
    text-align: center;
    padding: 15px;
    margin-bottom: 30px;
    margin-top: -15px;
    align-items: center;
  }

  .intro-text h2 {
    color: #333;
    margin: 15px 0;
    font-weight: 600;
  }

  .intro-text p {
    text-align: justify;
    line-height: 2;
    margin: 15px 0;
  }

  .intro-image {
    padding: 15px;
  }

  .title_services_menu h3 {
    margin: 10px 0;
    margin-top: 30px;
  }

  .intro-text {
    order: 2;
    width: 100%;
    margin-bottom: 30px;
  }

  .intro-image {
    order: 1;
    width: 335px;
    height: 335px;
    padding: 25px;
    padding-bottom: 0;
  }

  .intro-image img {
    width: 100%;
    height: 100%;
    margin: 0;
    border-radius: 15px;
  }

  .item_intro {
    height: 60px;
    display: flex;
    justify-content: center;
    bottom: -10px;
  }

  .services-introduction {
    padding: 30px 15px;
    border-radius: 15px;
    background: var(--accent);
    margin-bottom: 30px;
  }

  .title_services {
    align-items: flex-start;
    margin-bottom: 20px;
  }

  .title_services h3 {
    margin: 8px 0;
    font-size: 16px;
  }

  .btn_title button {
    font-size: 23px;
    width: 40px;
    height: 40px;
  }

  .btn_title {
    gap: 5px;
  }

  .box_items_service {
    gap: 15px;
  }
  .service-icon {
    width: 250px;
    height: 150px;
    object-fit: cover;
  }
  .service-item h3 {
    margin: 0;
  }

  .service-item p {
    margin: 0;
    margin-top: 5px;
    overflow: hidden;
  }

  .service-selector {
    display: flex;
    gap: 10px;
    overflow: auto;
    scrollbar-width: none;
    justify-content: flex-start;
    margin-bottom: 15px;
    animation: loop 5s linear infinite;
  }

  .fade_sellector {
    position: absolute;
    background: linear-gradient(
      90deg,
      #f6f8fb,
      #ffffff00 20%,
      #ffffff00 80%,
      #f6f8fb
    );
    inset: 0;
    pointer-events: none;
  }

  .bac_selector {
    position: relative;
    margin: 0 -3px;
    padding: 0;
  }

  .service-button {
    white-space: nowrap;
    padding: 10px 18px;
    font-size: 14px;
    box-shadow: 2px 3px 15px #0000;
  }
  .advertisement {
    display: flex;
    padding: 0 10px;
    height: 50vh;
    flex-direction: column;
    justify-content: center;
  }

  .advertisement h3 {
    font-size: 16px;
  }

  .advertisement-content p {
    margin: 10px;
  }

  .contact-button {
    padding: 10px 20px;
    font-size: 14px;
    margin-top: 10px;
  }

  .service-article {
    padding: 15px;
  }

  .title_article {
    align-items: center;
  }

  .article-text p {
    line-height: 2;
  }

  .article-text h3 {
    margin: 0;
    margin-top: 25px;
    margin-bottom: -8px;
  }

  .title_dental_care h3 {
    margin: 10px 0;
  }

  .line_dental_care {
    width: 85px;
    height: 2px;
  }

  .care-cards {
    gap: 15px;
  }

  .care-card {
    padding: 0;
  }

  .care-card:hover {
    transform: none;
    box-shadow: 0 0px 20px rgb(0 0 0 / 8%);
  }

  .meta_care {
    padding: 15px;
  }

  .care-card h3 {
    color: #333;
    margin: 0;
    font-weight: 600;
  }

  .care-card p {
    color: #555;
    line-height: 1.8;
    padding: 0;
  }

  .dental-care {
    padding: 0;
  }

  .article-text ul {
    padding-right: 40px;
  }

  .line_article {
    display: none;
  }

  .title_article h3 {
    text-align: right;
    margin-bottom: -10px;
  }

  .meta_service {
    height: 125px;
  }
  .article-image {
    height: 230px;
  }
}
